{% extends "base.html" %}

{% block head %}
    <link href="{{ sitepath }}static/css/highlight/tomorrow.css" rel="stylesheet" type="text/css">
{% if extra.lang_hl != "text" %}
    <link href="{{ sitepath }}static/css/highlight/lines.css" rel="stylesheet" type="text/css">
{% endif %}
{% endblock %}

{% block innercontentmore %} class="scrollable"{% endblock %}

{% block infoleft %}
    <div id="editform">
        <form id="reply" action='{{ sitepath }}upload' method='post' >
            <div class="right">
                <select id="expiry" name="expires">
                    <option disabled=disabled>Validade:</option>
                    <option value="60">1 minuto</option>
                    <option value="300">5 minutos</option>
                    <option value="3600">1 hora</option>
                    <option value="86400">1 dia</option>
                    <option value="604800">1 semana</option>
                    <option value="2419200">1 mês</option>
                    <option value="29030400">1 ano</option>
                    <option value="0">nunca</option>
                </select>

                <button id="save">save</button>
            </div>

            <input class="codebox" name='filename' id="filename" type='text' value="" placeholder="nome do arquivo (vazio = randômico)">.<input id="extension" class="codebox" name='extension' type='text' value="{{ extra.extension }}" placeholder="txt">
            <textarea name='content' id="newcontent" class="editor"></textarea>
        </form>
    </div>
{% endblock %}

{%block infomore %}
<label>wrap <input id="wordwrap" type="checkbox" checked></label> | 
{% endblock %}

{% block main %}
<div id="normal-content" class="normal fixed">
    <pre id="normal-code"><code id="codeb" class="{{ extra.lang_hl }}">{{ extra.contents }}</code></pre>
    <textarea id="editor" class="editor">{{ extra.contents }}</textarea>
</div>


{% if extra.lang_hl != "text" %}
<script src="{{ sitepath }}static/js/highlight/highlight.pack.js"></script>
<script src="{{ sitepath }}static/js/bin_hljs.js"></script>
{% endif %}

<script src="{{ sitepath }}static/js/util.js"></script>
<script src="{{ sitepath }}static/js/bin.js"></script>
{% endblock %}
